%define git	20120926
%define rel	3

Name:		edid-decode
Version:	0
Release:	%mkrel 0.%{git}.%{rel}
# git clone git://anongit.freedesktop.org/xorg/app/edid-decode
# tar c -j --exclude=.git --exclude=.gitignore -f edid-decode-%{git}.tar.bz2 edid-decode
Source:		edid-decode-%{git}.tar.bz2
# (cjw) add a basic man page
Source1:	edid-decode.1
# (cjw) use CFLAGS to compile source file
Patch1:		edid-decode-makefile.patch
# (cjw) fix string parsing
Patch2:		edid-decode-extract-string.patch
Url:		http://cgit.freedesktop.org/xorg/app/edid-decode/
Group:		Video/Utilities
Summary:	EDID parse tool
License:	MIT

%description
The edid-decode tool parses a given EDID from a file or stdin and 
shows the contents on stdout. It handles both the regular video info 
and the audio info often provided by HDMI displays.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .cleanup
%patch2 -p1 -b .strings

%build
%make CFLAGS="%{optflags}"

%install
%makeinstall
mkdir -p %{buildroot}%{_mandir}/man1
install %{SOURCE1} %{buildroot}%{_mandir}/man1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0-0.20120926.3.mga4
+ Revision: 504047
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0-0.20120926.2.mga3
+ Revision: 349500
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 cjw <cjw> 0-0.20120926.1.mga3
+ Revision: 332911
- imported package edid-decode

